
Redmine - Feature #8335

Email styles inline

2011-05-11 10:00 - Anonymous

Status: Closed Start date: 2011-05-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

Since gmail does not support CSS in head, it would be helpful, if Redmine could apply styles inline. This is bearable, but cuteness

sometimes wins over hearts of people, who still are not using Redmine.

I'm not much of ruby guy, but proposed solution would be parsing rules from head section, and then applying them to body elements.

That should be doable. On the other hand - maybe one can modify views (layout and email templates). If so, that would be sweet

also.

On any exception (body is not well formed, head css is not parsable, etc) parser should terminate and fall back, sending message

without modifying it.

Related issues:

Related to Redmine - Defect #20466: Broken email notification layout in Outlook Closed

Related to Redmine - Defect #12270: ¶ in email notifications when titles in d... Closed

Associated revisions

Revision 14540 - 2015-08-31 09:38 - Toshi MARUYAMA

add roadie-rails gem for e-mail inline styles (#8335, #20641)

Contributed by Go MAEDA.

History

#1 - 2015-07-15 02:25 - Go MAEDA

- Has duplicate Defect #20311: Task from Email - Styles in task text added

#2 - 2015-07-15 02:27 - Go MAEDA

- Has duplicate deleted (Defect #20311: Task from Email - Styles in task text)

#3 - 2015-08-05 17:41 - Go MAEDA

- File email-inline-css.diff added

This issue can be resolved by using roadie-rails gem.

I have created a patch. Styles of all outgoing emails are automatically converted to inline styles.

#4 - 2015-08-17 17:11 - Toshi MARUYAMA

- Related to Defect #20466: Broken email notification layout in Outlook  added

#5 - 2015-08-31 09:02 - Toshi MARUYAMA

- Target version set to 3.2.0

#6 - 2015-10-04 14:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#7 - 2018-10-04 01:29 - Go MAEDA
https://github.com/Mange/roadie-rails


- Related to Defect #12270: ¶ in email notifications when titles in description of ticket used added

Files

email-inline-css.diff 1.01 KB 2015-08-05 Go MAEDA
